## esup-el 0.7.1

=== Makefile ===
## Sane defaults

SHELL := $(shell which bash)
ROOT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

EMACS ?= emacs
CASK ?= cask

EMACSFLAGS ?=
TESTFLAGS ?= --reporter ert+duration

VERSION = undefined

.DEFAULT_GOAL = build

## File lists

SRCS = esup-child.el esup.el
OBJS = $(SRCS:.el=.elc)

## Internal variables

EMACSBATCH = $(EMACS) -Q --batch -L . $(EMACSFLAGS)
RUNEMACS =

## Program availability

HAVE_CASK := $(shell sh -c "command -v $(CASK)")
ifndef HAVE_CASK
$(warning "$(CASK) is not available.  Please run make help")
RUNEMACS = $(EMACSBATCH)
else
RUNEMACS = $(CASK) exec $(EMACSBATCH)
VERSION = $(shell $(CASK) version)
endif

%.elc: %.el
	@$(RUNEMACS) --eval '(setq byte-compile-error-on-warn t)' -f batch-byte-compile $<

## Public targets

.PHONY: .title
.title:
	$(info Esup $(VERSION))

.PHONY: init
init: Cask
	@$(CASK) install

.PHONY: test
test:
	@$(CASK) exec ert-runner $(TESTFLAGS)

.PHONY: build
build: $(OBJS)

.PHONY: clean
clean:
	$(info Remove all byte compiled Elisp files...)
	@$(RM) -f $(OBJS)

.PHONY: help
help: .title
	@echo 'Run "make init" first to install and update all local dependencies.'
	@echo ''
	@echo 'Available targets:'
	@echo '  help:     Show this help and exit'
	@echo '  init:     Initialize the project (has to be launched first)'
	@echo '  build:    Byte compile Esup package'
	@echo '  test:     Run the non-interactive unit test suite'
	@echo '  clean:    Remove all byte compiled Elisp files as well as build'
	@echo '            artifacts'
	@echo ''
	@echo 'Available programs:'
	@echo '  $(CASK): $(if $(HAVE_CASK),yes,no)'
	@echo ''
	@echo 'You need $(CASK) to develop and test Esup.'
	@echo 'See http://cask.readthedocs.io/ for more.'
	@echo ''

=== debian/changelog ===
esup-el (0.7.1-4) unstable; urgency=medium

  * Add patch to explicitly load comp (Closes: #1020178)
  * Add upstream metadata
  * d/control: Delcare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 08 Oct 2022 10:45:11 +0500

esup-el (0.7.1-3) unstable; urgency=medium

  * Add patch to fix tests (Closes: #973066)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 31 Oct 2020 21:52:09 +0500

esup-el (0.7.1-2) unstable; urgency=medium

  * Source-only upload
  * d/control: Migrate to debhelper-compat 13

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 04 Jun 2020 11:41:51 +0500

esup-el (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #953356)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 8 Mar 2020 17:08:03 +0500

=== debian/control ===
Source: esup-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               elpa-el-mock,
               elpa-noflet
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/jschaf/esup
Vcs-Browser: https://salsa.debian.org/emacsen-team/esup-el
Vcs-Git: https://salsa.debian.org/emacsen-team/esup-el.git

Package: elpa-esup
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs StartUp Profiler
 This package profiles your Emacs startup time by examining all
 top-level S-expressions (sexps). It starts a new Emacs process from
 Emacs to profile each sexp. After the profiled Emacs is complete, it
 will exit and your Emacs will display the results.
 .
 It will step into `require' and `load' forms at the top level of a
 file, but not if they're enclosed in any other statement.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%esup-el-$1.tar.gz%" \
             https://github.com/jschaf/esup/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## esup-el 0.7.1+git20220203.4b49c8d

=== debian/changelog ===
esup-el (0.7.1+git20220203.4b49c8d-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:24:59 +0900

esup-el (0.7.1+git20220203.4b49c8d-1) unstable; urgency=medium

  * New upstream version 0.7.1+git20220203.4b49c8d
  * Add patch to load installed elisp code (Closes: #1052958)
  * Add patch to disable tests which require generated code
  * Drop unneeded patches
  * Refresh patch to clean documentation
  * d/control: Build-Depend on elpa-buttercup
  * d/elpa-test: Keep test directory for autopkgtest purposes
  * d/rules: Override upstream clean

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 06 Jan 2024 15:52:26 +0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo skipping upstream build

override_dh_auto_build:
	@echo skipping upstream build

.PHONY: override_dh_auto_build override_dh_auto_clean
